> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 设置实时“DataForSEO Search Volume”任务

> 此端点可在单个请求中为最多 1000 个关键词提供使用 Bing 搜索量数据或点击流数据归一化的搜索量。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/keywords_data/clickstream_data/dataforseo_search_volume/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/keywords_data/clickstream_data/dataforseo_search_volume/live:
    post:
      summary: 设置实时“DataForSEO Search Volume”任务
      description: 此端点可在单个请求中为最多 1000 个关键词提供使用 Bing 搜索量数据或点击流数据归一化的搜索量。
      operationId: >-
        post_dataforseo_keywords_data_clickstream_data_dataforseo_search_volume_live
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                keywords:
                  type: array
                  items:
                    type: string
                  description: >-
                    目标关键词，必填字段，采用 UTF-8 编码；此数组最多可指定 1000
                    个关键词；关键词将转换为小写格式。注意：不允许使用某些符号和字符（例如 UTF
                    符号、表情符号）。有关可使用哪些符号和字符的更多信息，请参阅此文章。有关 DataForSEO API 中
                    keyword 和 keywords 字段的规则与限制，请参阅此帮助中心文章
                location_name:
                  type: string
                  description: >-
                    搜索引擎位置的完整名称；必填字段。如果未指定 location_code，您可以向
                    https://api.dataforseo.com/v3/keywords_data/clickstream_data/locations_and_languages
                    单独发起请求，以获取包含 location_name 的可用位置列表；示例：United Kingdom
                location_code:
                  type: integer
                  description: >-
                    搜索引擎位置代码；如果未指定 location_name，则此字段为必填字段；如果使用此字段，可通过向
                    https://api.dataforseo.com/v3/keywords_data/clickstream_data/locations_and_languages
                    单独发出请求，获取包含 location_code 的可用位置列表；示例：2826
                language_name:
                  type: string
                  description: >-
                    搜索引擎语言的完整名称，必填字段。如果未指定 language_code，可单独请求
                    https://api.dataforseo.com/v3/keywords_data/clickstream_data/locations_and_languages，以获取可用语言及其
                    language_name 列表。示例：English
                language_code:
                  type: string
                  description: >-
                    搜索引擎语言代码；必填字段；如果未指定 language_name，可以通过向
                    https://api.dataforseo.com/v3/keywords_data/clickstream_data/locations_and_languages
                    单独发出请求，获取包含 language_code 的可用语言列表；示例：en
                use_clickstream:
                  type: boolean
                  description: >-
                    使用点击流数据提供结果；可选字段；如果设置为 true，您将获得基于点击流数据的 DataForSEO
                    搜索量值；如果设置为 false，将使用 Bing 搜索量数据计算 DataForSEO
                    搜索量；默认值：true；注意：Bing 搜索量仅适用于 Bing Search Volume History
                    Locations 和 Bing Ads Locations 端点中提供的位置；对于任何其他位置，即使将此参数设置为
                    false，搜索量值仍会基于点击流数据计算
                tag:
                  type: string
                  description: >-
                    用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配；您将在响应的 data
                    对象中找到指定的 tag 值
              required:
                - keywords
                - location_name
                - location_code
                - language_name
                - language_code
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；范围为：10000-60000；完整响应代码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: array
                    items:
                      type: string
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks.result.location_code:
                    type: integer
                    description: POST 数组中的位置代码；如果没有数据，则值为 null
                  tasks.result.language_code:
                    type: string
                    description: POST 数组中的语言代码；如果没有数据，则值为 null
                  tasks.result.items_count:
                    type: string
                    description: items 数组中返回的结果数量
                  tasks.result.items:
                    type: array
                    items:
                      type: string
                    description: 关键词数组，包含关键词及其搜索量比率
                  tasks.result.items.keyword:
                    type: string
                    description: POST 数组中提供的 keyword
                  tasks.result.items.use_clickstream:
                    type: boolean
                    description: 指示 use_clickstream 参数是否启用，可选值：true、false
                  tasks.result.items.search_volume:
                    type: integer
                    description: 关键词的当前搜索量比率
                  tasks.result.items.monthly_searches:
                    type: array
                    items:
                      type: string
                    description: 月度搜索量数据，由一组对象组成，其中包含某年特定月份的搜索量数据
                  tasks.result.items.monthly_searches.year:
                    type: integer
                    description: 年
                  tasks.result.items.monthly_searches.month:
                    type: integer
                    description: 月
                  tasks.result.items.monthly_searches.search_volume:
                    type: integer
                    description: 某年特定月份的搜索量占比
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````